<script setup lang="ts">
import { usePayrollDetailStore } from '../stores/payrollDetail'

const payrollDetailStore = usePayrollDetailStore()
</script>
<template>
  <v-dialog v-model="payrollDetailStore.dialogDetailView" max-width="1000">
    <v-card rounded="xl">
      <v-card-title>Payroll Detail</v-card-title>
      <v-divider></v-divider>
      <v-card-text>
        <v-row>
          <v-col cols="12">
            <h3>
              ชื่อ - นามสกุล : {{ payrollDetailStore.item.employee?.firstName }}
              {{ payrollDetailStore.item.employee?.lastName }}
            </h3>
            <h3>รหัสพนักงาน : {{ payrollDetailStore.item.employee?.id }}</h3>
            <h3>วันที่จ่าย : {{ payrollDetailStore.item.createdDate }}</h3>
          </v-col>
        </v-row>
        <v-card>
          <v-card-text>
            <v-row>
              <v-col cols="4">
                <h3>เงินเดือน/ค่าจ้าง</h3>
              </v-col>
              <v-col cols="4">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.employee.moneyRate"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-divider></v-divider>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12">
                <h3>รายการปรับเพิ่ม</h3>
              </v-col>
              <v-col cols="2">
                <h3>ค่าล่วงเวลา</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.overtime"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>ค่านายหน้า</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.commission"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>ค่าเบี้ยเลี้ยง/ค่าครองชีพ</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.allowances"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>โบนัส</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.bonus"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>เงินได้อื่นๆ</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.otherEarning"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-divider></v-divider>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12">
                <h3>รายการปรับลด</h3>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>ประกันสังคม</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.socialSecurityFund"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>ภาษีหัก ณ ที่จ่าย</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.withHoldingTax"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>เงินกู้ยืม กยศ./กรอ.</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.studentLoanFund"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>เงินประกัน</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.deposit"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>ขาด/ลา/มาสาย</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.leave"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>รายการหักอื่นๆ</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.otherDeduction"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-divider></v-divider>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12">
                <h3>สรุปรายการ</h3>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>เงินได้สะสม</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.ytdEarning"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>ภาษีหัก ณ ที่จ่ายสะสม</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.ytdWithHoldingTax"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>เงินประกันสังคมสะสม</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.collectSSF"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>รวมเงินได้</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.totalEarning"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="2">
                <h3>รวมรายการหัก</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.totalDeduction"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <h3>เงินได้สุทธิ</h3>
              </v-col>
              <v-col cols="3">
                <v-text-field
                  label=""
                  v-model="payrollDetailStore.item.payrollDetail.netPay"
                  prefix="฿"
                  variant="outlined"
                  readonly
                ></v-text-field>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-card-text>

      <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" variant="plain" @click="payrollDetailStore.closeDialogDetailView()"></v-btn>
        </v-card-actions>
    </v-card>
  </v-dialog>
</template>
